Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1101018 - PRD35 - [RFE][RHEV] Support single disk snapshot on preview snapshot action in REST-API
Summary: PRD35 - [RFE][RHEV] Support single disk snapshot on preview snapshot action i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Raz Tamir
URL:
Whiteboard: storage
Depends On: 1054219 1095494
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-25 15:08 UTC by Allon Mureinik
Modified: 2015-02-11 18:02 UTC (History)
15 users (show)

Fixed In Version: ovirt-engine-3.5.0_alpha2
Doc Type: Enhancement
Doc Text:
Custom preview snapshot is now supported in the REST API. Optional 'restore_memory' and 'disks' tags are now accepted in the 'preview_snapshot' action.
Clone Of: 1095494
Environment:
Last Closed: 2015-02-11 18:02:31 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28086 master MERGED restapi: support custom preview snapshot Never

Description Allon Mureinik 2014-05-25 15:08:25 UTC
+++ This bug was initially created as a clone of Bug #1095494 +++

Description of problem:
Following bug 867339 which introduces atomic operations of
preview/commit/undo to the REST-API, preview snapshot action should
support single disk snapshot. I.e. preview action should accept an
optional disks list (and memory flag) - similar to current restore [1].

[1] http://www.ovirt.org/Features/Single_Disk_Snapshot#Restore_Snapshot:_POST_.2Fapi.2Fvms.2F.7Bvm_id.7D.2Fsnapshots.2F.7Bsnapshot_id.7D.2Frestore

This is a RHEV-clone to track the feature proposed to oVirt in bug 1095494.

Comment 1 Raz Tamir 2014-06-22 14:26:09 UTC
verified - ovirt-engine-3.5.0-0.0.master.20140605145557.git3ddd2de.el6.noarch

Comment 3 errata-xmlrpc 2015-02-11 18:02:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.